Runtime

## org.eclipse.gmf.runtime.notation.stylepooling
Class StylePoolContainer

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.eclipse.gmf.runtime.notation.stylepooling.StylePoolContainer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class StylePoolContainer

extends java.util.HashMap

The container type used by the cached styles as part of the style caching performance tuning optimization. Consider having a threshold and when we reach a threshold we could remove infrequently accessed styles, by ovveriding get to increment a cache hit cnt when get succeeds. Remember if we are to use a weakHash the key is weak not the value.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`StylePoolContainer()`

Method Summary
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### StylePoolContainer

    public StylePoolContainer()

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.HashMap`
  See Also:
    `Map.put(java.lang.Object, java.lang.Object)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.